> ## Documentation Index
> Fetch the complete documentation index at: https://omo-3bacc298.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Oauth Proxy

> This endpoint should be used to make proxy requests on behalf of a client
to a third party API in order to obtain an access token.
For example, the Notion API doesn't allow browsers to obtain access
tokens, so the client (browser) makes a call to this endpoint,
which will obtain the access token.



## OpenAPI

````yaml post /v1/oauth-proxy/token
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /v1/oauth-proxy/token:
    post:
      tags:
        - auth
      summary: Oauth Proxy
      description: >-
        This endpoint should be used to make proxy requests on behalf of a
        client

        to a third party API in order to obtain an access token.

        For example, the Notion API doesn't allow browsers to obtain access

        tokens, so the client (browser) makes a call to this endpoint,

        which will obtain the access token.
      operationId: oauth_proxy_v1_oauth_proxy_token_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OAuthProxyRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                title: Response Oauth Proxy V1 Oauth Proxy Token Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    OAuthProxyRequest:
      properties:
        endpoint:
          type: string
          title: Endpoint
        body:
          type: string
          title: Body
        headers:
          $ref: '#/components/schemas/OAuthProxyHeaders'
      type: object
      required:
        - endpoint
        - headers
      title: OAuthProxyRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    OAuthProxyHeaders:
      properties:
        content_type:
          type: string
          title: Content Type
        accept:
          type: string
          title: Accept
        authorization:
          type: string
          title: Authorization
        x_connector:
          type: string
          title: X Connector
      type: object
      required:
        - content_type
      title: OAuthProxyHeaders
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````